# SWDB

# \K_Guild_Skill

Guild skill.

Represents an object from the table 'k_guild_skill'.

## Summary

Methods
Properties
Constants
__construct()
$db
$id
$group
$level
$effect
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/entity/K_Guild_Skill.php
Package
  Default
Class hierarchy
  \Entity
  \K_Guild_Skill

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $id

    $id : integer

#### Type

integer — Skill identifier.

#

## Tags

None found

### $group

    $group : integer

#### Type

integer — Skill group id.

#

## Tags

None found

### $level

    $level : integer

#### Type

integer — Level at which the skill becames available.

#

## Tags

None found

### $effect

    $effect : string

#### Type

string — Skill description.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $id)

Constructor.

Searches the database and retrieves the information about the skill, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $id | Skill identifier.

#

## Tags

None found

### K_Guild_Skill.php